Skip to main content
PATCH
Change which components a subscriber hears about

Authorizations

Authorization
string
header
required

API key (dh_live_...) or Auth0 JWT token

Headers

X-DevHelm-Client
string

Calling surface and version, e.g. cli/1.4.0 or sdk-js/2.0.0

Path Parameters

id
string<uuid>
required
subscriberId
string<uuid>
required

Body

application/json
componentIds
string<uuid>[]
required

Components to hear about; empty with no component groups means the whole page

Maximum array length: 500

Components to hear about; empty with no component groups means the whole page

componentGroupIds
string<uuid>[] | null

Component groups to hear about, including components added to them later; omit for none

Maximum array length: 100

Component groups to hear about, including components added to them later; omit for none

Response

OK

data
object
required